Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.singularsys.jep.functions
Class LogBase2

    java.lang.Object
      com.singularsys.jep.functions.PostfixMathCommand
          com.singularsys.jep.functions.UnaryFunction
              com.singularsys.jep.functions.LogBase2

All Implemented Interfaces:
  PostfixMathCommandI, RealUnaryFunction, java.io.Serializable

    public class LogBase2

extends UnaryFunction
implements RealUnaryFunction

Log base 2. Other bases can be specified in constructor. Behaviour for negative real values are specified by the strict argument.

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.singularsys.jep.functions.PostfixMathCommand
`curNumberOfParameters, name, NaN, numberOfParameters`

Constructor Summary
`LogBase2()` Standard constructor, allows complex results for negative arguments
`LogBase2(boolean strict)` Constructor with control for behaviour for complex results
`LogBase2(double base, boolean strict)` Constructor for bases other than 2.

Method Summary
`java.lang.Object` | `eval(java.lang.Object arg)`
`double` | `evaluate(double val)`
`java.lang.Object` | `logbase2(java.lang.Object param)`

Methods inherited from class com.singularsys.jep.functions.UnaryFunction
`run`

Methods inherited from class com.singularsys.jep.functions.PostfixMathCommand
`asArray, asBool, asDouble, asInt, asLong, asStrictInt, asString, checkNumberOfParameters, checkStack, getName, getNumberOfParameters, setCurNumberOfParameters, setName, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LogBase2

    public LogBase2()

  Standard constructor, allows complex results for negative arguments

### LogBase2

    public LogBase2(boolean strict)

  Constructor with control for behaviour for complex results

  Parameters:
    `strict` - if true negative real arguments return NaN, otherwise complex results are returned

### LogBase2

    public LogBase2(double base,
                    boolean strict)

  Constructor for bases other than 2.

  Parameters:
    `base` - base to use.
    `strict` - if true negative real arguments return NaN, otherwise complex results are returned

Method Detail

### eval

    public java.lang.Object eval(java.lang.Object arg)
                          throws EvaluationException

  Specified by:
    `eval` in class `UnaryFunction`
  Throws:
    `EvaluationException`

### logbase2

    public java.lang.Object logbase2(java.lang.Object param)
                              throws EvaluationException

  Throws:
    `EvaluationException`

### evaluate

    public double evaluate(double val)

  Specified by:
    `evaluate` in interface `RealUnaryFunction`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Singular Systems http://www.singularsys.com/jep